# Command: testsuite::test_voltmeter_reset

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_voltmeter_reset - test if resetting works on voltmeter

Synopsis:

    (test_voltmeter_reset) run -> dies if assertion fails

Description:

      Voltmeter records from iaf_neuron to memory, checks if proper number
      of data points is acquired, deleted on reset, and recorded again on
      further simulation. This test ascertains that also data stored in the
      derived recorder class, not only in RecordingDevice, is reset.

Author:

    August 2008, Plesser

SeeAlso:

- multimeter
- testsuite::test_spike_det_reset

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/testsuite/unittests/test_voltmeter_reset.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative